/*
 * Copyright 2008-2012 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.broadleafcommerce.cms.admin.client;

import com.google.gwt.i18n.client.ConstantsWithLookup;
import com.google.gwt.i18n.client.LocalizableResource.DefaultLocale;
import com.google.gwt.i18n.client.LocalizableResource.Generate;

/**
 * 
 * @author ppatel
 *
 */
@Generate(format = "com.google.gwt.i18n.rebind.format.PropertiesFormat")
@DefaultLocale("en_US")
public interface GeneratedMessagesEntityCMS extends ConstantsWithLookup {
    public String ImageStaticAssetImpl_Width();
    public String ImageStaticAssetImpl_Height();
    public String StaticAssetDescriptionImpl_Description();
    public String StaticAssetDescriptionImpl_Long_Description();
    public String StaticAssetImpl_Item_Name();
    public String StaticAssetImpl_Full_URL();
    public String StaticAssetImpl_File_Size_Bytes();
    public String StaticAssetImpl_Mime_Type();
    public String StaticAssetImpl_File_Extension();
    public String StaticAssetImpl_Archived_Flag();
    public String StaticAssetImpl_Deleted_Flag();
    public String StaticAssetImpl_Is_Locked();
    public String StaticAssetImpl_Original_Asset_ID();
    public String PageImpl_basePage();
    public String PageImpl_Page_Template();
    public String PageImpl_Full_Url();
    public String PageImpl_Deleted();
    public String PageImpl_Archived();
    public String PageImpl_Is_Locked();
    public String PageImpl_Original_Page_ID();
    public String PageTemplateImpl_basePageTemplate();
    public String PageTemplateImpl_Template_Id();
    public String PageTemplateImpl_Template_Name();
    public String PageTemplateImpl_Template_Path();
    public String PageImpl_Priority();
    public String PageImpl_Offline();
    public String PageItemCriteriaImpl_basePageItemCriteria();
    public String PageItemCriteriaImpl_Item_Criteria_Id();
    public String PageItemCriteriaImpl_Quantity();
    public String PageItemCriteriaImpl_Order_Item_Match_Rule();
    
    
    public String StructuredContentFieldTemplateImpl_baseStructuredContentFieldTemplate();
    public String StructuredContentFieldTemplateImpl_Field_Template_Name();

    public String StructuredContentImpl_baseStructuredContent();
    public String StructuredContentImpl_Content_Name();
    public String StructuredContentImpl_Priority();
    public String StructuredContentImpl_Original_Item_Id();
    public String StructuredContentImpl_Content_SandBox();
    public String StructuredContentImpl_Content_Type();
    public String StructuredContentImpl_Deleted();
    public String StructuredContentImpl_Archived();
    public String StructuredContentImpl_Offline();
    public String StructuredContentImpl_Is_Locked();
    public String StructuredContentItemCriteriaImpl_baseStructuredContentItemCriteria();
    public String StructuredContentItemCriteriaImpl_Item_Criteria_Id();
    public String StructuredContentItemCriteriaImpl_Quantity();
    public String StructuredContentItemCriteriaImpl_Order_Item_Match_Rule();
    public String StructuredContentTypeImpl_baseStructuredContentType();
    public String StructuredContentTypeImpl_Name();
    public String StructuredContentTypeImpl_Description();
    public String StructuredContentTypeImpl_Content_Template();

    public String ImageStaticAssetImpl_Image_Details();
    public String StaticAssetImpl_Details();
    public String PageImpl_Basic();
    public String PageImpl_Description();
    public String PageImpl_Page();
    public String StructuredContentFieldTemplateImpl_Details();
    public String StructuredContentImpl_Description();
    public String StructuredContentImpl_Internal();
    public String StructuredContentImpl_Stuctured_Content();
    public String StructuredContentItemCriteriaImpl_Description();
    public String StructuredContentTypeImpl_Details();
}
